[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Failing to build 1.6.0 on windows - APR misconfigured

From: Mark Phippard <markphip_at_gmail.com>
Date: Tue, 31 Mar 2009 17:08:04 -0400

On Tue, Mar 31, 2009 at 4:00 PM, Barry Scott <barry_at_barrys-emacs.org> wrote:
>
> On 31 Mar 2009, at 19:53, Mark Phippard wrote:
>>>>
>>>> On Windows, I've only built using the SQLite amalgamation.  This links
>>>> it privately to libsvn_subr and works nicely.  You can just stick the
>>>> folder from the dependencies in your source tree and it will be used
>>>> automatically, or you can pass --with-sqlite=..\sqlite-amagamation (or
>>>> whatever path you like).
>>>
>>> I'll try that.
>
> This does not work as gen-make.py does not fix the APR files.

What do you mean? What needs to be fixed? Subversion stopped
building APR for you before 1.5 shipped, perhaps even before 1.4
shipped.

> This means that with the dependancy on sqlite subversion has
> broken its build that has worked until 1.5.
>
> If you are intending to forcing me to build httpd to get apr working
> then please document this and stop bundling APR with svn-deps.
>
> Otherwise a patch to fix this would be required.

I do not see the connection between SQLite and APR.

My build process from 1.5 to 1.6 for release signing is essentially
the same. With the deps tarball extracted into the tree, I did not
even have to add a --with-sqlite.

-- 
Thanks
Mark Phippard
http://markphip.blogspot.com/
------------------------------------------------------
http://subversion.tigris.org/ds/viewMessage.do?dsForumId=462&dsMessageId=1499691
Received on 2009-03-31 23:08:29 CEST

This is an archived mail posted to the Subversion Dev mailing list.